<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output encoding="UTF-8" method="xml" omit-xml-declaration="no"/>
	
	<!-- # Création du ant de reconstruction de la db -->	
	
	<xsl:template match="/*">
		<project name="scBatch.constructFromConfig.subAnt" basedir=".">
			<target name="main">
				<!-- - Construction de la structure de la db -->
				<echo>[debut] Update de l'entrepôt...</echo>
				<scServer url="${{webapp.univers.url}}/u/batch" user="${{webapp.batch.login}}" password="${{webapp.batch.password}}" failProperty="x.error" haltOnError="true" verbose="true">
					<xsl:copy-of select="."/>
				</scServer>
				<fail message="[ECHEC] Update de l'entrepôt : ${x.error}">
				    <condition>
				    	<isset property="x.error"/>
				    </condition>
				</fail>
				<echo>[fin] Update de l'entrepôt</echo>
				
				
			</target>
		</project>
	</xsl:template>
	
</xsl:stylesheet>